#!/usr/bin/env python
###########################################################################
#
# Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# PyQt port in September 2010 by Hans-Peter Jansen <hpj@urpla.net>
#
###########################################################################

from PyQt4 import QtCore, QtGui


class MimeData(QtCore.QMimeData):

    dataRequested = QtCore.pyqtSignal(QtCore.QString)

    def __init__(self):
        super(MimeData, self).__init__()


    def formats(self):
        return QtCore.QMimeData.formats(self) << "image/png"


    def retrieveData(self, mimeType, qvtype):
        self.dataRequested.emit(mimeType)
        return QtCore.QMimeData.retrieveData(self, mimeType, qvtype)

